def selectCredentials(): Credentials =
  if ((Path.userHome / ".sbt" / ".credentials").exists())
    Credentials(Path.userHome / ".sbt" / ".credentials")
  else
    Credentials.apply(
      realm = "Reposilite",
      host = "maven.garrity.co",
      userName = sys.env
        .get("GS_MAVEN_USER")
        .getOrElse(
          throw new RuntimeException(
            "You must either provide ~/.sbt/.credentials or specify the GS_MAVEN_USER environment variable."
          )
        ),
      passwd = sys.env
        .get("GS_MAVEN_TOKEN")
        .getOrElse(
          throw new RuntimeException(
            "You must either provide ~/.sbt/.credentials or specify the GS_MAVEN_TOKEN environment variable."
          )
        )
    )

credentials += selectCredentials()
