package gs

import sbt._

/** Defines all setting and task keys for the GS SBT Plugin.
  */
object GsKeys {

  /**
    * Required setting for projects using the Garrity Software plugin. This
    * value must match the Git repository name. This value is used to configure
    * publishing and generate sub-project names.
    */
  lazy val gsProjectName = settingKey[String](
    "Name of the project and Git repository."
  )
}
